Bug 242938 - Installer problem : Fedora-7/ RHEL-5.0 derivatives
Installer problem : Fedora-7/ RHEL-5.0 derivatives
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-06-06 11:15 EDT by A. Mani
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-23 15:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump to fd0 (48.06 KB, text/plain)
2007-06-06 11:15 EDT, A. Mani
no flags Details
anaconda dump (90.98 KB, text/plain)
2007-06-12 16:09 EDT, Ron Yorston
no flags Details

  None (edit)
Description A. Mani 2007-06-06 11:15:37 EDT
Description of problem:I have a problem with the Scientific Linux-5.0 (RHEL-5.0 
derivative) and the Fedora-7 installer on a X86 system with multiple IDE hard 
disks with dos partition tables (multiple primaries). The installer speaks of 
not being able to inform the
kernel of changes to the first logical of the extended partition of
hdb.  Parted (1.8.6 for e.g) has no problems. This looks like a bug
with Anaconda. 

I get the error message after selecting the packages, i.e. just before
the actual install of packages to hard disk in the usual GUI install
with no options. The IDE disks have dos partition tables (3 primaries
each + extended and logicals within that, it is all ext3 except for a
single BSD primary (hdb2)). I formatted the partitions for /
beforehand with ext3 with latest parted. So during install I just had
to select the mount point for / (at hda15).  

The error message is
"cannot inform the kernel of changes to the /dev/hdb5 without
rebooting" (first logical of the extended partition of hdb). The install target 
(/) was hda15.
The error is due to the old pyparted library used in the installer (?). 
I have installed other Linux distros (Edubuntu) in the same setup without any 

I have FC-6 installed too.

Version-Release number of selected component (if applicable):

How reproducible: Attempt GUI install of RHEL-5.0 or a derivative thereof or 
Fedora-7 on a X86 system with two or more IDE hard disks with dos partition 
tables with three primary partitions + extended and logicals (formatted with 

Steps to Reproduce:
Actual results:
Install fails after the selection of packages as it cannot "inform root about 
changes to /dev/hdb5 without rebooting"

Expected results:

Additional info: Anacconda back-trace attached.
Comment 1 A. Mani 2007-06-06 11:15:37 EDT
Created attachment 156363 [details]
Anaconda dump to fd0
Comment 2 Lubomir Kundrak 2007-06-07 10:12:32 EDT
Removing Security keyword and lowering Severity.

Though we are thankful for your report I would kindly ask you to use more 
appropriate severity and only the keywords that really apply according to
their description to avoid confusion.
Comment 3 Ron Yorston 2007-06-12 16:09:51 EDT
Created attachment 156824 [details]
anaconda dump

I'm seeing the same traceback.	My system has two PATA disks, one of which has
more than 15 partitions, a fact which anaconda reminded me of five times.  Only
one partition is inaccessible:	it's part of a RAID 1 array.
Comment 4 A. Mani 2007-06-15 17:15:47 EDT
At the time of install of Scientific Linux-5.0, Edubuntu was in /hdb1 while
DreamLinux was in /hdb3.  I could install SL-5.0 without any problem when I
replaced hdb with a new disk on a similar partitioning scheme (I used
parted-1.7.1 for the partitioning now).     
Comment 5 David Cantrell 2007-08-23 15:00:03 EDT
The error reported in the traceback has been fixed in anaconda.  The warning
dialog box only tries to appear when we have a user interface present.

Note You need to log in before you can comment on or make changes to this bug.